Function
sourceVertex
Returns the source vertex of an edge.
sourceVertex(g, e)
sourceVertex(it)
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
e | An edge descriptor. Types: EdgeDescriptor
it | An edge iterator. Types: Edge Iterator, Out-Edge Iterator

Remarks
In a tree the source vertex is always the parent. In an undirected graph the smaller vertex descriptor is the source. Note: If source vertices are not stored in the EdgeStump this operation is expensive. Consider using sourceVertex directly on an edge iterator where this operation is fast!
Return Values
A vertex descriptor.
Types: VertexDescriptor
See Also
targetVertex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49